## org.eclipse.emf.ecore.xml.type.internal
Class RegEx.ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.ecore.xml.type.internal.RegEx.ParseException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RegEx

    public static class RegEx.ParseException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`RegEx.ParseException(java.lang.String mes, int location)`

Method Summary
`int` `getLocation()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegEx.ParseException

    public RegEx.ParseException(java.lang.String mes,
                                int location)

Method Detail

### getLocation

    public int getLocation()

  Returns:
    -1 if location information is not available.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.